Subject: Re: [PATCH net-next v2 0/5] Add support for locked bridge ports (for 802.1X)

From: Hans Schultz <[email-masked]>
Date: Thu, 10 Feb 2022 10:07:09 +0100

On ons, feb 09, 2022 at 18:31, Ido Schimmel <[email-masked]> wrote:
> On Wed, Feb 09, 2022 at 02:05:32PM +0100, Hans Schultz wrote:
>> This series starts by adding support for SA filtering to the bridge,
>> which is then allowed to be offloaded to switchdev devices. Furthermore
>> an offloading implementation is supplied for the mv88e6xxx driver.
>
> [...]
>
>> Hans Schultz (5):
>>   net: bridge: Add support for bridge port in locked mode
>>   net: bridge: Add support for offloading of locked port flag
>>   net: dsa: Add support for offloaded locked port flag
>>   net: dsa: mv88e6xxx: Add support for bridge port locked mode
>>   net: bridge: Refactor bridge port in locked mode to use jump labels
>
> I think it is a bit weird to add a static key for this option when other
> options (e.g., learning) don't use one. If you have data that proves
> it's critical, then at least add it in patch #1 where the new option is
> introduced.

Do you suggest that I drop patch #5 as I don't have data that it is
critical?

>
> Please add a selftest under tools/testing/selftests/net/forwarding/. It
> should allow you to test both the SW data path with veth pairs and the
> offloaded data path with loopbacks. See tools/testing/selftests/net/forwarding/README

I will do that.